PLGFONT(3)

NAME
plgfont - Get family, style and weight of the current font

SYNOPSIS
plgfont(p_family, p_style, p_weight)

DESCRIPTION

Gets information about current font. See the PLplot documentation for more information on font selection.

Redacted form: plgfont(p_family, p_style, p_weight)

This function is used in example 23.

ARGUMENTS

p_family (PLINT_NC_SCALAR(3), output)
    Returned value of the current font family. The available values are given by the PL_FCI_* constants in plplot.h. Current options are PL_FCI_SANS, PL_FCI_SERIF, PL_FCI_MONO, PL_FCI_SCRIPT and PL_FCI_SYMBOL. If p_family is NULL then the font family is not returned.

p_style (PLINT_NC_SCALAR(3), output)
    Returned value of the current font style. The available values are given by the PL_FCI_* constants in plplot.h. Current options are PL_FCI_UPRIGHT, PL_FCI_ITALIC and PL_FCI_OBLIQUE. If p_style is NULL then the font style is not returned.

p_weight (PLINT_NC_SCALAR(3), output)
    Returned value of the current font weight. The available values are given by the PL_FCI_* constants in plplot.h. Current options are PL_FCI_MEDIUM and PL_FCI_BOLD. If p_weight is NULL then the font weight is not returned.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.